Skip to main content
GET
List accounts

Authorizations

Authorization
string
header
required

To authenticate with the Platform API, include your Base64-encoded client_id and api_key in the Authorization header of every request: -H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'

Headers

Accept-Version
string
default:v20250224
required

MX Platform API version.

Example:

"v20250224"

Accept
string
required

Specifies the media type expected in the response.

Example:

"application/json"

Path Parameters

user_identifier
string
required

Use either the user id you defined or the MX-defined user guid. See MX-Defined GUIDs vs IDs Defined by You​.

Query Parameters

page
integer

Results are paginated. Specify current page.

member_is_managed_by_user
boolean

List only accounts whose member is managed by the user.

is_manual
boolean

List only accounts that were manually created.

records_per_page
integer

This specifies the number of records to be returned on each page. Defaults to 25. The valid range is from 10 to 1000. If the value exceeds 1000, the default value of 25 will be used instead.

use_case
string

The use case associated with the member. Valid values are PFM and MONEY_MOVEMENT. For example, you can append either ?use_case=PFM or ?use_case=MONEY_MOVEMENT.

Response

200 - application/json

OK

accounts
object[]
pagination
object